import { r as DaoCoreConfig } from "./types.daocore-z1fablj2.js";
//#region extensions/zai/onboard.d.ts
declare const ZAI_DEFAULT_MODEL_REF = "zai/glm-5.1";
declare function applyZaiProviderConfig(cfg: DaoCoreConfig, params?: {
  endpoint?: string;
  modelId?: string;
}): DaoCoreConfig;
declare function applyZaiConfig(cfg: DaoCoreConfig, params?: {
  endpoint?: string;
  modelId?: string;
}): DaoCoreConfig;
//#endregion
export { applyZaiConfig as n, applyZaiProviderConfig as r, ZAI_DEFAULT_MODEL_REF as t };